Me
curl --request GET \
--url https://api.deepinfra.com/v1/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.deepinfra.com/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.deepinfra.com/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.deepinfra.com/v1/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.deepinfra.com/v1/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.deepinfra.com/v1/me")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.deepinfra.com/v1/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"uid": "<string>",
"email": "<string>",
"email_verified": true,
"account_setup": true,
"display_name": "<string>",
"provider": "<string>",
"picture": "<string>",
"is_admin": true,
"name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"country": "<string>",
"is_business_account": true,
"company": "<string>",
"website": "<string>",
"title": "<string>",
"root_uid": "<string>",
"require_email_verified": false,
"can_access_agents": false,
"can_access_sandboxes": true,
"is_team_account": false,
"is_team_owner": false,
"team_role": "<string>",
"team_display_name": "<string>",
"is_team_upgrade_enabled": true,
"vercel_connection": {
"user_id": "<string>",
"installation_id": "<string>",
"team_id": "<string>"
},
"google_linked": false,
"mfa_enabled": false,
"mfa_available": false,
"show_signup_form": false,
"checklist": {
"stripe_balance": 123,
"recent": 123,
"limit": 123,
"suspend_reason": "balance",
"email": false,
"billing_address": false,
"billing_address_info": {
"name": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"payment_method": false,
"payment_method_info": {
"type": "<string>",
"card": {
"brand": "<string>",
"last4": "<string>",
"wallet": "<string>"
},
"us_bank_account": {
"bank_name": "<string>",
"last4": "<string>"
},
"cashapp": {
"cashtag": "<string>"
}
},
"suspended": false,
"overdue_invoices": 0,
"last_checked": 0,
"topup": false,
"topup_amount": 0,
"topup_threshold": 0,
"topup_failed": false,
"billing_type": "<string>",
"payment_collection": "<string>",
"payment_method_required": true,
"scoped_credits": [
{
"name": "<string>",
"granted_cents": 123,
"remaining_cents": 123,
"granted_ts": 123,
"description": "",
"expires_ts": 123,
"expired": false,
"covers_everything": false
}
],
"new_customer_limits": {
"max_amount": 123,
"payments_left": 123
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Account
Me
GET
/
v1
/
me
Me
curl --request GET \
--url https://api.deepinfra.com/v1/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.deepinfra.com/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.deepinfra.com/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.deepinfra.com/v1/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.deepinfra.com/v1/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.deepinfra.com/v1/me")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.deepinfra.com/v1/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"uid": "<string>",
"email": "<string>",
"email_verified": true,
"account_setup": true,
"display_name": "<string>",
"provider": "<string>",
"picture": "<string>",
"is_admin": true,
"name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"country": "<string>",
"is_business_account": true,
"company": "<string>",
"website": "<string>",
"title": "<string>",
"root_uid": "<string>",
"require_email_verified": false,
"can_access_agents": false,
"can_access_sandboxes": true,
"is_team_account": false,
"is_team_owner": false,
"team_role": "<string>",
"team_display_name": "<string>",
"is_team_upgrade_enabled": true,
"vercel_connection": {
"user_id": "<string>",
"installation_id": "<string>",
"team_id": "<string>"
},
"google_linked": false,
"mfa_enabled": false,
"mfa_available": false,
"show_signup_form": false,
"checklist": {
"stripe_balance": 123,
"recent": 123,
"limit": 123,
"suspend_reason": "balance",
"email": false,
"billing_address": false,
"billing_address_info": {
"name": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"payment_method": false,
"payment_method_info": {
"type": "<string>",
"card": {
"brand": "<string>",
"last4": "<string>",
"wallet": "<string>"
},
"us_bank_account": {
"bank_name": "<string>",
"last4": "<string>"
},
"cashapp": {
"cashtag": "<string>"
}
},
"suspended": false,
"overdue_invoices": 0,
"last_checked": 0,
"topup": false,
"topup_amount": 0,
"topup_threshold": 0,
"topup_failed": false,
"billing_type": "<string>",
"payment_collection": "<string>",
"payment_method_required": true,
"scoped_credits": [
{
"name": "<string>",
"granted_cents": 123,
"remaining_cents": 123,
"granted_ts": 123,
"description": "",
"expires_ts": 123,
"expired": false,
"covers_everything": false
}
],
"new_customer_limits": {
"max_amount": 123,
"payments_left": 123
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}When called with an API key, the key needs the
account:read scope (about scopes).Authorizations
Response
Successful Response